# HG changeset patch
# User Michael C. Grant <mcg@cvxr.com>
# Date 1393009232 21600
#      Fri Feb 21 13:00:32 2014 -0600
# Node ID 83963bad5e7d906541c56c8d6a4914ebbf7f1653
# Parent  99454a60bf5e33ba6e5f684fe7b3ad79ea2eb9ea
improvements to Qt & OpenGL linking on the Mac (bug #41574)

* configure.ac: Remove -Wl, prefixes from "-framework Carbon".
* acinclude.m4: Remove -Wl, prefixes from "-framework OpenGL".

diff -r 99454a60bf5e -r 83963bad5e7d configure.ac
--- a/configure.ac	Thu Jul 07 18:04:28 2016 +1000
+++ b/configure.ac	Fri Feb 21 13:00:32 2014 -0600
@@ -1230,8 +1230,8 @@
 if test $have_framework_carbon = yes; then
   AC_DEFINE(HAVE_FRAMEWORK_CARBON, 1,
     [Define to 1 if framework CARBON is available.])
-  CARBON_LIBS="-Wl,-framework -Wl,Carbon"
-  AC_MSG_NOTICE([adding -Wl,-framework -Wl,Carbon to CARBON_LIBS])
+  CARBON_LIBS="-framework Carbon"
+  AC_MSG_NOTICE([adding -framework Carbon to CARBON_LIBS])
   AC_SUBST(CARBON_LIBS)
 fi
 
diff -r 99454a60bf5e -r 83963bad5e7d m4/acinclude.m4
--- a/m4/acinclude.m4	Thu Jul 07 18:04:28 2016 +1000
+++ b/m4/acinclude.m4	Fri Feb 21 13:00:32 2014 -0600
@@ -1015,8 +1015,8 @@
   if test $have_framework_opengl = yes; then
     AC_DEFINE(HAVE_FRAMEWORK_OPENGL, 1,
       [Define to 1 if framework OPENGL is available.])
-    OPENGL_LIBS="-Wl,-framework -Wl,OpenGL"
-    AC_MSG_NOTICE([adding -Wl,-framework -Wl,OpenGL to OPENGL_LIBS])
+    OPENGL_LIBS="-framework OpenGL"
+    AC_MSG_NOTICE([adding -framework OpenGL to OPENGL_LIBS])
     OCTAVE_CHECK_FUNC_GLUTESSCALLBACK_THREEDOTS
   else
     case $canonical_host_type in
